Skip to content

Move employee to a different team

Request

Security
oauth2ClientCredentials(Required scopes: employees:write)
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

Bodyapplication/jsonrequired
team_codestringrequired

Team code to move the employee to

Example:"0003"
employee_idstringrequired

Employee ID to be moved

Example:"sgggbrfldhqcudjvhhwjpzcdcpcwws"
max_spend_per_periodstring

Maximum spend per period (optional)

Example:"5000"
curl -i -X POST \
  https://developer.boyahq.com/_mock/v2/openapi/employees/move-to-team \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string' \
  -d '{
    "team_code": "0003",
    "employee_id": "sgggbrfldhqcudjvhhwjpzcdcpcwws",
    "max_spend_per_period": "5000"
  }'

Responses

Employee successfully moved to team